<template>
  <Result>
    <template #remark>
      <slot name="remark"> </slot>
    </template>
    <template #tips>
      <slot name="tips">
        <div class="result-wrapper-tips-item title">充值须知</div>
        <div class="result-wrapper-tips-item danger">{{ dangerTips }}</div>
        <div class="result-wrapper-tips-item warning">{{ warningTips }}</div>
        <div class="result-wrapper-tips-item">{{ customerServiceTips }}</div>
      </slot>
    </template>
  </Result>
</template>

<script setup lang="ts">
import Result from './Result.vue';
import { CustomerServiceTips } from '../../constants';

defineOptions({
  name: 'ResultWithTips',
});

type Props = {
  dangerTips?: string;
  warningTips?: string;
  customerServiceTips?: string;
};

const props = withDefaults(defineProps<Props>(), {
  warningTips: '如接到陌生来电，对方以缴费或误操作等理由要求处理款项，务必立即拉黑，谨防诈骗!!!',
  customerServiceTips: CustomerServiceTips,
});
</script>
